PWM outputs¶
/stm.cgi?pname¶
Set a name for the PWM output.
GET /stm.cgi?pname=AB
Ais index of PWM output PWM0-PWM3, integer0-3Bis the name to set, a string of up to 15 characters
Example:
http://192.168.1.100/stm.cgi?pname=0Dioda
/outs.cgi?pwm=pwm¶
Toggle the state of the PWM output.
GET /outs.cgi?pwm=pwmA
Ais index of PWM output PWM0-PWM3, integer0-3
Example:
http://192.168.1.100/outs.cgi?pwm=pwm0
/outs.cgi?pwmA=B¶
Set state of PWM output.
GET /outs.cgi?pwmA=B
Ais index of PWM output PWM0-PWM3, integer0-3Bis the state to be set, integer0-1
Example:
http://192.168.1.100/outs.cgi?pwm0=1
/stm.cgi?pwmd¶
Set the duty cycle for the PWM output.
GET /stm.cgi?pwmd=AB
Ais index of PWM output PWM0-PWM3, integer0-3Bis the duty cycle in percent, integer0-100
Example:
http://192.168.1.100/stm.cgi?pwmd=050
/stm.cgi?pwmp¶
Set options Active low and Mode ON/OFF.
GET /stm.cgi?pwmp=A
Adetermines whether the function is enabled for PWM0-PWM3, integer0-255(8 bits 20, 21, .. ,27 - first 4 are Active low for PWM0-PWM3, next 4 are Mode ON/OFF for PWM0-PWM3)
Example:
http://192.168.1.100/stm.cgi?pwmp=15
/stm.cgi?pwmf¶
Set the frequency for the PWM outputs.
GET /stm.cgi?pwmf=AB
Adetermines whether the frequency is set for PWM0 or PWM1-PWM3, integer0-1Bis the frequency in Hz, integer50-100000
Example:
http://192.168.1.100/stm.cgi?pwmf=010000
PID Regulator¶
/stm.cgi?pidvalue¶
Set PID Regulator options.
GET /stm.cgi?pidvalue=A*B*C*D*E*F*G
Adetermines whether the function is enabled, integer0-1-
Bis input, integer0-26{ "0": "VCC", "1": "INPA1", "2": "INPA2", "3": "INPA3", "4": "INPA4", "5": "INPA5", "6": "INPA6", "7": "TEMP", "8": "T1", "9": "H1", "10": "DS1", "11": "DS2", "12": "DS3", "13": "DS4", "14": "DS5", "15": "DS6", "16": "DIFF1", "17": "DIFF2", "18": "P1", "19": "CO2", "20": "PM2.5", "21": "PM10.0", "22": "DS7", "23": "DS8", "24": "PM1.0", "25": "PM4.0", "26": "DIFF3", } -
Cis the target value on the input, integer (the desired value multiplied by 10) Dis coefficient Kp, integerEis coefficient Ki, integerFis coefficient Kd, integerGdetermines which PWM output is to be controlled, integer0-3
Example:
http://192.168.1.100/stm.cgi?pidvalue=1*7*240*1*1*1*0